# Security Policy

## Introduction

We take the security of our site very seriously and appreciate your efforts to responsibly disclose your findings and will make every effort to acknowledge your contributions.

Please note: Public disclosure of the vulnerability without prior agreement is not recommended, as it could put the wider user community at risk.

## Reporting a Vulnerability

Please report (suspected) security vulnerabilities to **[support@kakusui.org](mailto:support@kakusui.org)**. You should receive a response within 48 hours. If the issue is confirmed, We will release a fix as soon as possible depending on the complexity but typically within a few days.

### What to include in a security report

- A description of the vulnerability
- The potential impact of the vulnerability
- Steps to reproduce or proof of concept

This information will help us to swiftly resolve potential vulnerabilities.

## Encrypted Communication

If you believe that your message needs to be encrypted, please use the following PGP key.

The key belongs to Kakusui at "Kakusui LLC <support@kakusui.org>"

```plaintext
-----BEGIN PGP PUBLIC KEY BLOCK-----
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=aR4j
-----END PGP PUBLIC KEY BLOCK-----
```

## Policy on Security Updates

We will keep you informed of the progress towards fixing the vulnerability and update our site as soon as possible.

## Acknowledgements

Individuals who report security vulnerabilities responsibly will be acknowledged in the site's documentation. If you would like to be acknowledged, please include a name or (reasonable) alias in your report.